Bug 734756 - Improve storage free space limitations and thresholds
Improve storage free space limitations and thresholds
Status: CLOSED DUPLICATE of bug 856201
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
high Severity unspecified
: ---
: 3.3.4
Assigned To: Ayal Baron
storage
: Improvement, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-31 07:11 EDT by Omer Frenkel
Modified: 2015-10-27 19:56 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 06:59:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Omer Frenkel 2011-08-31 07:11:11 EDT
Description of problem:
Currently there are 2 thresholds for storage free space:
"FreeSpaceLow" - which is threshold in percent and default to 10%
"FreeSpaceCriticalLowInGB" - which is in GB and default to 5gb

This is problematic since its hard to define low and high thresholds that fit small and large scale storages together.

In order to enable thresholds that fit all storages, rhevm should expose configurations for low and high thresholds in both percentage and GB, this way rhevm could check for the max between low thresholds and min between high thresholds in order to block operations and give better events to the user.
Comment 1 Jon Choate 2011-08-31 11:11:11 EDT
Wouldn't it make more sense and be less confusing to have a global default for each of the thresholds and then allow the user to override them (or maybe even disable one of them) per disk? That way the user can define their own schemes for what size disks lack adequate space.
Comment 2 Itamar Heim 2012-12-11 01:41:18 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 4 Ayal Baron 2012-12-11 06:42:03 EST
Maor, isn't this a dup of a bug yo worked on?
Comment 6 Maor 2012-12-11 06:59:57 EST

*** This bug has been marked as a duplicate of bug 856201 ***

Note You need to log in before you can comment on or make changes to this bug.